Bug 261214 - man.cgi marks 14-current manual pages as 13.0 when rendering
Summary: man.cgi marks 14-current manual pages as 13.0 when rendering
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Website (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wolfram Schneider
URL: https://www.freebsd.org/cgi/man.cgi?q...
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-14 22:43 UTC by PauAmma
Modified: 2022-01-16 00:33 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PauAmma freebsd_triage 2022-01-14 22:43:25 UTC
To observe:

Visit https://www.freebsd.org/cgi/man.cgi?query=bhyve&apropos=0&sektion=8&manpath=FreeBSD+14.0-current&arch=default&format=html

Scroll or page down to the end.

Note the "FreeBSD	13.0		       October 13, 2021			  FreeBSD 13.0" footer line.
Comment 1 Graham Perrin 2022-01-15 12:15:09 UTC
Firefox does not find    13.0    anywhere at the given page.
Comment 2 yetoohappy 2022-01-15 16:08:42 UTC
When I first viewed the link on Firefox android app I saw the discrepancy as described in the report, but it was gone upon refreshing. Now looking at the page in Firefox 91.5.0esr instead of the footer being FreeBSD 14.0 it's just BSD. When I switched the man page to 12.3 release from 13 the footer still said FreeBSD 13. When I selected Freebsd 11.3 RELEASE and Ports the footer displayed just BSD. There is an issue here and this needs to be reopened.
Comment 3 PauAmma freebsd_triage 2022-01-15 23:26:51 UTC
(In reply to yetoohappy from comment #2)
I can confirm that this happens at least as far as viewing the 12.3 page after viewing the 13.0 page, and persists after clearing my (Chromium) cache.
Comment 4 Graham Perrin 2022-01-15 23:47:33 UTC
(In reply to PauAmma from comment #3)

If I start at 
<https://www.freebsd.org/cgi/man.cgi?query=bhyve&sektion=8&manpath=FreeBSD+14.0-current#AUTHORS> 
then use the menu and button to switch to 12.3-RELEASE: 

* there's "FreeBSD	13.0" near the foot
* reloading and bypassing the cache makes no difference.
Comment 5 PauAmma freebsd_triage 2022-01-16 00:33:11 UTC
(In reply to Graham Perrin from comment #4)
Thanks for the additional confirmation.

I'm not sure what wosch@FreeBSD.org did to fix it (quick check of doc and src commits in cgit. didn't show anything relevant), so: partial fix (in which case reopen IMO) or unrelated problem with similar symptoms?